### R code from vignette source 'gRbase-graphs.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: gRbase-graphs.Rnw:42-46
###################################################
dir.create("fig")
oopt <- options()
options("digits"=4, "width"=80, "prompt"=" ", "continue"="  ")
options(useFancyQuotes="UTF-8")


###################################################
### code chunk number 2: gRbase-graphs.Rnw:49-51
###################################################
library(gRbase)
library(Rgraphviz)


###################################################
### code chunk number 3: gRbase-graphs.Rnw:113-116
###################################################
ug11 <- ug(~a*b*c + c*d + d*e + a*e + f*g)
ug12 <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"))
ug13 <- ug(~a*b*c, ~c*d, ~d*e + a*e + f*g)


###################################################
### code chunk number 4: gRbase-graphs.Rnw:123-124
###################################################
ug11


###################################################
### code chunk number 5: gRbase-graphs.Rnw:134-137
###################################################
ug11i <- ug(~a*b*c + c*d + d*e + a*e + f*g, result="igraph")
ug12i <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"), 
            result="igraph")


###################################################
### code chunk number 6: gRbase-graphs.Rnw:141-142
###################################################
ug11i


###################################################
### code chunk number 7: gRbase-graphs.Rnw:151-154
###################################################
ug11m <- ug(~a*b*c + c*d + d*e + a*e + f*g, result="matrix")
ug12m <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"), 
            result="matrix")


###################################################
### code chunk number 8: gRbase-graphs.Rnw:158-159
###################################################
ug11m


###################################################
### code chunk number 9: gRbase-graphs.Rnw:172-176
###################################################
dag11 <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f)
dag12 <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"))
dag13 <- dag(~a, ~b*a,  ~c*a*b, ~d*c*e, ~e*a, ~g*f)


###################################################
### code chunk number 10: gRbase-graphs.Rnw:180-181
###################################################
dag11


###################################################
### code chunk number 11: gRbase-graphs.Rnw:194-197
###################################################
dag11i <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f, result="igraph")
dag12i <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"), result="igraph")


###################################################
### code chunk number 12: gRbase-graphs.Rnw:205-208
###################################################
dag11m <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f, result="matrix")
dag12m <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"), result="matrix")


###################################################
### code chunk number 13: gRbase-graphs.Rnw:220-223
###################################################
as(ug11,"igraph")
as(as(ug11,"igraph"),"matrix")
as(as(as(ug11,"igraph"),"matrix"),"graphNEL")


###################################################
### code chunk number 14: gRbase-graphs.Rnw:253-256
###################################################
par(mfrow=c(1,2))
iplot(ug11)
iplot(dag11)


###################################################
### code chunk number 15: gRbase-graphs.Rnw:272-273
###################################################
args(querygraph)


###################################################
### code chunk number 16: gRbase-graphs.Rnw:285-286
###################################################
dag11.mor <- moralize(dag11)


###################################################
### code chunk number 17: gRbase-graphs.Rnw:290-293
###################################################
par(mfrow=c(1,2))
iplot(dag11)
iplot(dag11.mor)


###################################################
### code chunk number 18: gRbase-graphs.Rnw:303-304
###################################################
mcs(ug11)


###################################################
### code chunk number 19: gRbase-graphs.Rnw:310-311
###################################################
tug11<-triangulate(ug11)


###################################################
### code chunk number 20: gRbase-graphs.Rnw:315-318
###################################################
par(mfrow=c(1,2))
iplot(ug11)
iplot(tug11)


###################################################
### code chunk number 21: gRbase-graphs.Rnw:325-327
###################################################
r <- rip(tug11)
r


###################################################
### code chunk number 22: gRbase-graphs.Rnw:348-350
###################################################
system.time({for (ii in 1:200) as(ug11, "matrix")})
system.time({for (ii in 1:200) as.adjMAT(ug11)})


###################################################
### code chunk number 23: gRbase-graphs.Rnw:358-360
###################################################
system.time({for (ii in 1:200) maxClique(ug11)})
system.time({for (ii in 1:200) maxCliqueMAT(ug11m)})


###################################################
### code chunk number 24: gRbase-graphs.Rnw:375-397
###################################################
V <- 1:100
M <- 1:10
## Sparse graph 
##
g1 <- randomGraph(V, M, 0.05)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))

## More dense graph 
##
g1 <- randomGraph(V, M, 0.2)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))

## Even more dense graph 
##
g1 <- randomGraph(V, M, 0.5)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))


###################################################
### code chunk number 25: gRbase-graphs.Rnw:651-653
###################################################
#rm(print.list)
options("width"=85)


